Pipeline supports multiple Kubernetes distributions and versions on multiple providers.

Providers and supported versions 🔗︎

Banzai Cloud Pipeline creates and manages PKE clusters on the following providers:

Provider Kubernetes version
Amazon 1.14.x-1.18.x
Azure 1.14.x-1.18.x
VMware 1.14.x-1.18.x
Bare metal 1.14.x-1.18.x

Banzai Cloud Pipeline deploys and manages the following Kubernetes services:

Distribution Kubernetes version
Alibaba (ACK) 1.14.x,1.16.x
Amazon (EKS) 1.14.x-1.17.x
Azure (AKS) 1.14.x-1.16.x
Google (GKE) 1.14.x-1.16.x
Oracle (OKE) 1.14.x-1.15.x

Feature comparison 🔗︎

Different providers have different limitations. See bellow a comparison about the features supported by Banzai Cloud Pipeline for each distribution.

Provider Multiple* Alibaba Amazon Azure Google Oracle
Distribution PKE ACK EKS AKS GKE OKE
Multi AZ
Multi Region
Multi Provider
Rolling Update manually auto**** auto
Network Security soon
Cluster Autoscaling
High Availability
Single Node Custer
External Etcd
Authentication Multiple*** Provider** Provider** Provider** Provider** Provider**

* Multiple cloud provider and on-prem support: Amazon, Azure, VMware, Bare metal

** Cloud provider integrated (AAD, IAM, RAM, etc.)

*** Multiple authentication provider support: LDAP, Github, Gitlab, SAML 2.0, OpenID Connect, etc.

**** Pipeline Enterprise subscription needed

Banzai Cloud Pipeline can import and manage any standard Kubernetes cluster — see importing clusters for details and limitations.

Next steps 🔗︎

Deploy your own instance of Banzai Cloud Pipeline, or if you already have one, launch a cluster.